#
# spec file for package yast2-pkg-bindings (Version 2.13.117)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx blocxx-devel boost boost-devel bzip2 coreutils cpio cpp cracklib curl curl-devel cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hal-devel info insserv klogd less libacl libattr libcom_err libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libgssapi libicu libidn libidn-devel libmudflap libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxcrypt-devel libxml2 libxml2-devel libxslt liby2util liby2util-devel libzio libzypp libzypp-devel m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre pcre-devel perl perl-XML-Writer permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm rpm-devel sed sgml-skel strace sysvinit tar tcpd texinfo timezone unzip util-linux vim yast2-core yast2-core-devel yast2-devtools zlib zlib-devel

Name:           yast2-pkg-bindings
Version:        2.13.117
Release:        0.13
License:        GNU General Public License (GPL)
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-pkg-bindings-2.13.117.tar.bz2
prefix:		/usr
#BuildRequires:  blocxx-devel boost boost-devel dbus-1-devel docbook-xsl-stylesheets doxygen gcc-c++ hal-devel libgcrypt-devel libxcrypt-devel libxslt perl-XML-Writer rpm-devel sgml-skel yast2-core-devel yast2-devtools
#BuildRequires:  libzypp-devel >= 2.4.0
#BuildRequires:  libzypp >= 2.4.0
BuildRequires:   suse-macros autoconf automake libtool gettext-devel yast2-devtools libzypp-devel yast2-core-devel
# new API (label of a source, script callbacks...)
Requires:       libzypp >= 2.4.0
Summary:        YaST2 Package Manager Access

%description
This package contains a namespace for accessing the package manager
library in YaST2.



Authors:
--------
    Arvin Schnell <arvin@suse.de>
    Klaus Kaempf <kkaempf@suse.de>
    Mathias Kettner <kettner@suse.de>
    Stefan Hundhammer <sh@suse.de>
    Stanislav Visnovsky <visnov@suse.cz>

%prep
%setup -n yast2-pkg-bindings-2.13.117

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done
rm -rf %{buildroot}/%{_libdir}/YaST2/plugin/libpy2Pkg.la

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_libdir}/YaST2/plugin/libpy2Pkg.so.*
%{_libdir}/YaST2/plugin/libpy2Pkg.so
%doc %{prefix}/share/doc/packages/yast2-pkg-bindings

%changelog
* Wed Feb 21 2007 - lslezak@suse.cz
- reapply fix for #220195, the problem is fixed in
  yast2-packager-2.13.168
- display redirected URL instead of the original URL in the media
  change popup (#157040)
- 2.13.117
* Wed Feb 21 2007 - mvidner@suse.cz
- Temporarily reverted the fix for #220195 until #247249 is fixed
  properly.
- 2.13.116
* Thu Feb 15 2007 - lslezak@suse.cz
- Pkg::PkgUpdateAll() - pass all parameters in a map (more general
  solution for future enhancements)
- 2.13.115
* Wed Feb 14 2007 - lslezak@suse.cz
- additional parameters for Pkg::PkgUpdateAll() - silent_downgrades
  and keep_installed_patches (#238488)
- 2.13.114
* Wed Feb 14 2007 - lslezak@suse.cz
- added option `any to Pkg::IsAnyResolvable()
- 2.13.113
* Wed Feb 14 2007 - lslezak@suse.cz
- added Pkg::IsAnyResolvable() — is there any resolvable
  in the requried state? (#243568), Pkg::PkgAnyToInstall()
  and Pkg::PkgAnyToDelete() are obsoleted now
- 2.13.112
* Mon Feb 12 2007 - lslezak@suse.cz
- added Pkg::CallbackAcceptNonTrustedGpgKey() - register callback
  askUserToAcceptUnknownKey() in libzypp (#242087, #240771)
- 2.13.111
* Wed Feb 07 2007 - lslezak@suse.cz
- pass value of ProgressPackage() callback to libzypp when
  a package is removed (#226041)
- do not change the alias of the added source if it is not empty
  (do not replace the product name with a time stamp) (#220195)
- 2.13.110
* Mon Feb 05 2007 - lslezak@suse.cz
- Pkg::SourceSetEnabled() - refresh resolvables in the pool after
  enabling/disabling a source (#187352), Pkg::SourceEditSet()
  - doc update, log a warning when changing state of a source
- 2.13.109
* Mon Jan 08 2007 - lslezak@suse.cz
- Pkg::GetPackages supports `taboo and `locked options,
  Pkg::ResolvableProperties returns "locked" value
  (required for #232506)
- 2.13.108
* Mon Dec 11 2006 - lslezak@suse.cz
- Pkg:PkgMediaCount() - correctly report number of packages from
  a YUM source (#220242)
* Wed Nov 29 2006 - lslezak@suse.cz
- removed undefined methods
- 2.13.107
* Wed Nov 22 2006 - lslezak@suse.cz
- provide installation summary about packages from a YUM
  source (medium number is 0) (#220242)
* Mon Nov 20 2006 - lslezak@suse.cz
- fixed SourceStartManager(): load sources even if some source
  could not have been restored (#221071)
* Thu Nov 16 2006 - lslezak@suse.cz
- translate the messages: redefine _ gettext macro to use
  "pkg-bindings" text domain (the definition from libzypp uses
  "zypp" textdomain) (#219783)
* Wed Nov 15 2006 - lslezak@suse.cz
- fixed GPG key callbacks - allow yast to import keys (#219965)
* Mon Nov 13 2006 - lslezak@suse.cz
- disable refresh of all sources in the target during update
  (workaround for #220056)
- 2.13.106
* Mon Nov 13 2006 - lslezak@suse.cz
- fixed Pkg::DoRemoveAllKind() - uninstall only the installed
  resolvables
* Mon Nov 13 2006 - lslezak@suse.cz
- added Pkg::SourceCreateType() builtin (#168358)
* Mon Nov 13 2006 - lslezak@suse.cz
- added Pkg::TargetStoreRemove() builtin (#210552)
* Thu Nov 09 2006 - lslezak@suse.cz
- decreased the timout of acquiring the zypp lock to 15 seconds
  (#216615)
- 2.13.105
* Tue Nov 07 2006 - lslezak@suse.cz
- disable the source if the metadata file is corrupt (#217276)
- 2.13.104
* Fri Nov 03 2006 - lslezak@suse.cz
- do not search a product in mediaRequest callback, the source
  initialization might be in progress, the might not be
  initialized (#214886)
- 2.13.103
* Tue Oct 31 2006 - lslezak@suse.cz
- fixed PkgTaboo() built-in - set lock on the USER level (#186205)
- 2.13.102
* Mon Oct 30 2006 - lslezak@suse.cz
- return OPTIONALURLS and EXTRAURLS properties of a Product
  resolvable (#213031)
- ResolvableProperties() supports resolvable type `language
- 2.13.101
* Fri Oct 20 2006 - lslezak@suse.cz
- added missing YCP callback evaluation (#213628)
- DoneProvide callback - pass file name argument,
  handle Ignore return value (#200084)
- log a warning when an obsoleted YOU callback is registered
- 2.13.100
* Fri Oct 13 2006 - lslezak@suse.cz
- fixed SourceProductData() binding (#201742)
- require libzypp >= 2.4.0
- 2.13.99
* Fri Oct 13 2006 - lslezak@suse.cz
- added script callbacks (feature #100233)
* Fri Oct 13 2006 - lslezak@suse.cz
- Fixed callback prototypes (revealed by -Woverloaded-virtual)
- 2.13.98
* Thu Oct 12 2006 - mvidner@suse.cz
- Use -Woverloaded-virtual to warn about mis-overriden callbacks
* Thu Oct 12 2006 - lslezak@suse.cz
- fixed media change callback signature to match zypp library
  (#210208)
- 2.13.97
* Thu Sep 28 2006 - schubi@suse.de
- patch autoselect: select only the latest needed patch if
  patches are needed with the same name and different editions.
  Bug: 206927
* Fri Sep 22 2006 - lslezak@suse.cz
- added missing download callback handlers (lost during
  implementation of feature #1466)
- 2.13.96
* Mon Sep 18 2006 - lslezak@suse.cz
- new source callbacks (feature #1466), require libzypp >= 2.1.0
- 2.13.95
* Wed Aug 30 2006 - lslezak@suse.cz
- synced to the new zypp API (keyring, callbacks)
- require libzypp >= 2.0.0 (#202397)
- 2.13.94
* Mon Aug 21 2006 - lslezak@suse.cz
- new bindings SourceRestore() and SourceLoad() (#199738)
- TargetInitDU([]) sets the current disk usage (#197497)
- 2.13.93
* Tue Aug 15 2006 - lslezak@suse.cz
- 2.13.92
* Fri Aug 11 2006 - lslezak@suse.cz
- new finish callbacks: Callback{Delta,Patch}Finish*()
* Thu Aug 10 2006 - lslezak@suse.cz
- new callbacks: CallbackSourceCreate*() functions
* Wed Aug 09 2006 - jsrain@suse.cz
- let TargetProducts return more data (#66046)
* Wed Aug 09 2006 - lslezak@suse.cz
- built-in ResolvableInstallArch() has been changed to
  ResolvableInstallArchVersion() - set architecture and version of
  the installed resolvable (#186912)
* Tue Aug 08 2006 - lslezak@suse.cz
- new callbacks: patch and delta file progress
* Tue Aug 08 2006 - jsrain@suse.cz
- let PkgCommit return more data about remaining resolvables
  (#186912)
* Mon Aug 07 2006 - dmacvicar@suse.de
- use the new initializeTarget method for TargetInitialize
- require zypp version 2.0.0
* Mon Aug 07 2006 - lslezak@suse.cz
- new built-in ResolvableInstallArch() - select architecture of
  the installed resolvable (#186912)
* Mon Aug 07 2006 - dmacvicar@suse.de
- add TargetInitialize, TargetLoad, deprecate TargetInit.
- port TargetProduct to new zypp api
- 2.13.91
* Thu Aug 03 2006 - mvidner@suse.cz
- Fixed makefiles for make 3.81
- 2.13.90
* Thu Jul 13 2006 - lslezak@suse.cz
- new binding Pkg::ResolvableCountPatches() - count available
  patches which can be installed
- 2.13.89
* Thu Jun 29 2006 - lslezak@suse.cz
- ResolvableProperties(): return "is_needed" property of a patch
  (#188541)
- 2.13.88
* Mon Jun 26 2006 - mvidner@suse.cz
- Fixed links in the docs (locilka)
- 2.13.87
* Wed Jun 21 2006 - mvidner@suse.cz
- Added Pkg::SourceURL that includes the password (#186842).
- 2.13.86
* Fri Jun 09 2006 - jsrain@suse.cz
- report also type of resolvable not installed during 1st stage
  (#181198)
- 2.13.85
* Thu Jun 08 2006 - lslezak@suse.cz
- fixed SetLocale() - do not reset additional locales (#172223)
- catch all uncaught exceptions on the global level (prevents
  from crashing yast)
- 2.13.84
* Thu Jun 08 2006 - jsrain@suse.cz
- fixed reseting SW selection (#177469)
* Thu Jun 08 2006 - lslezak@suse.cz
- fixed the crash when yast is running as non-root user - catch
  an exception in SourceStartCache() (#182390)
* Tue Jun 06 2006 - lslezak@suse.cz
- added new callback bindings (CallbackProgressSourceRefresh(),
  CallbackAcceptWrongDigest(), CallbackAcceptUnknownDigest())
- 2.13.83
* Mon Jun 05 2006 - lslezak@suse.cz
- updated documentation - descriptions of the functions,
  added obsoleted/don't use notes
- 2.13.82
* Thu Jun 01 2006 - lslezak@suse.cz
- get source ID by numericId() call (do not search in all available
  sources) (#179410, #163609)
- 2.13.81
* Thu May 25 2006 - mvidner@suse.cz
- Added SourceSaveAll which always saves and does not disable (#176013).
- 2.13.80
* Mon May 22 2006 - lslezak@suse.cz
- Pkg::DoProvide - select only the newest item for installation,
  remove the flag from other versions (#176854)
- 2.13.79
* Mon May 22 2006 - jsrain@suse.cz
- added PkgApplReset builtin (#176788)
- 2.13.78
* Fri May 19 2006 - lslezak@suse.cz
- ignore installed selections in Pkg::GetSelections() when asking
  for available selections (#170537), the same fix has been
  implemented also in Pkg::GetPatterns()
- 2.13.77
* Thu May 18 2006 - mvidner@suse.cz
- Say also the URL of a failed source in SourceStartManager (#175153).
- 2.13.76
* Wed May 17 2006 - jsrain@suse.cz
- one more fix of reseting resolvable status (#175451)
* Tue May 16 2006 - ma@suse.de
- Adapt to libzypp-1.0.0
- 2.13.75
* Tue May 16 2006 - mvidner@suse.cz
- SourceDelete: no need to remove resolvables from pool if the source
  has not seen any resolvables yet. Fixes deleting corrupt sources
  (#174840).
- 2.13.74
* Tue May 16 2006 - jsrain@suse.cz
- fixed resetting resolvable status (#175711, #175451)
- 2.13.73
* Fri May 12 2006 - lslezak@suse.cz
- PkgMediaSizes, PkgMediaCount: don't count packages with
  mediaId == 0, array index was -1 in this case (#174841)
- 2.13.72
* Wed May 10 2006 - lslezak@suse.cz
- ResolvableProperties: don't add empty product description
  (#148625)
- 2.13.71
* Tue May 09 2006 - visnov@suse.cz
- Do not try to evaluate the same callback twice, the parameters
  are discarded after the first call (#173291)
- 2.13.70
* Tue May 09 2006 - mvidner@suse.cz
- When creating a source, prefer an alias that may be passed as a
  query parameter of the URL.
  This is an adaptation for the new output of suseRegister-1.0-59,
  ensuring proper synchronization of YaST and Zenworks for enterprise
  updates (#158850#c17).
- 2.13.69
* Fri Apr 28 2006 - lslezak@suse.cz
- fixed reset in PkgReset() and in ResolvableNeutral() builtin
  (#170643)
- 2.13.68
* Wed Apr 26 2006 - lslezak@suse.cz
- use other valid sources when a broken source is found (#168632)
- 2.13.67
* Tue Apr 25 2006 - lslezak@suse.cz
- updated callback handlers (#168060)
- 2.13.66
* Mon Apr 24 2006 - lslezak@suse.cz
- select language packages in SetLocale(), handle the main locale
  when processing additional locales (#162064)
- 2.13.65
* Fri Apr 21 2006 - jsrain@suse.de
- SourceCreateBase (#160585)
- 2.13.64
* Fri Apr 21 2006 - lslezak@suse.cz
- Pkg::ResolvableNeutral() - added force argument (#168278)
- 2.13.63
* Thu Apr 20 2006 - lslezak@suse.cz
- fixed logging
- 2.13.62
* Wed Apr 19 2006 - jsrain@suse.de
- fixed building
- 2.13.61
* Wed Apr 19 2006 - visnov@suse.cz
- ignore finish with errors in DonePackage callback to be retried (#161298)
- 2.13.60
* Fri Apr 14 2006 - visnov@suse.cz
- Adapt for new digest callbacks in ZYPP
- 2.13.59
* Thu Apr 13 2006 - lslezak@suse.cz
- Pkg::ResolvableProperties - return patch specific values
* Thu Apr 13 2006 - lslezak@suse.cz
- fixed disk usage counting - non-root dirs should not contain
  / at the beginning (#163199)
- updated Pkg::ResolvablePreselectPatches - return number of
  patches, added 'kind' argument (#165540)
- new binding Pkg::CallbackAcceptFileWithoutChecksum() (#165125)
- 2.13.58
* Mon Apr 10 2006 - jsrain@suse.de
- call PkgRefresh when added or enabled a source (#156980)
- 2.13.57
* Mon Apr 10 2006 - visnov@suse.cz
- Modified PkgMediaNames to return also the installation source
  ID (#161298)
- 2.13.56
* Mon Apr 10 2006 - mvidner@suse.cz
- Added update_urls to Pkg::ResolvableProperties (#163192).
- 2.13.55
* Mon Apr 10 2006 - visnov@suse.cz
- fix ImportGPGKey
- 2.13.54
* Fri Apr 07 2006 - jsrain@suse.de
- let product provide short_name via ResolvableProperties (#163702)
* Thu Apr 06 2006 - visnov@suse.cz
- fix build
- 2.13.52
* Thu Apr 06 2006 - jsrain@suse.de
- fixed YCP signature of Pkg::SourceCleanupBroken
- 2.13.50
* Thu Apr 06 2006 - visnov@suse.cz
- invoke SourceChange callback (#161298)
- 2.13.51
* Thu Apr 06 2006 - kkaempf@suse.de
- more debug for DoProvideNameKind()
* Thu Apr 06 2006 - schubi@suse.de
- Bug 162745 - Updating from beta8 does not update the kernel sources
* Thu Apr 06 2006 - lslezak@suse.cz
- added Pkg::ImportGPGKey() (#164001)
- 2.13.49
* Thu Apr 06 2006 - visnov@suse.cz
- implemented SourceCleanupBroken (#157100)
* Wed Apr 05 2006 - jsrain@suse.de
- implemented SourceChangeUrl (#163748)
- 2.13.48
* Wed Apr 05 2006 - lslezak@suse.cz
- updated keyring callbacks
- 2.13.47
* Tue Apr 04 2006 - mvidner@suse.cz
- Added "alias" to Pkg::SourceGeneralData (#156030).
- libzypp API change: use location instead of plainRpm.
- 2.13.46
* Mon Apr 03 2006 - kkaempf@suse.de
- new callback: Pkg::PkgFreshen() (#156980)
- 2.13.45
* Mon Apr 03 2006 - lslezak@suse.cz
- new callbacks: Pkg::CallbackAcceptUnknownGpgKey(),
  Pkg::CallbackAcceptUnsignedFile(),
  Pkg::CallbackAcceptVerificationFailed(),
  Pkg::CallbackTrustedKeyAdded(),
  Pkg::CallbackTrustedKeyRemoved() (#162858)
- 2.13.44
* Wed Mar 29 2006 - visnov@suse.cz
- new callback Pkg::CallbackImportGpgKey
* Wed Mar 29 2006 - visnov@suse.cz
- return correct type in SourceCreate and SourceScan if URL wrong
* Wed Mar 29 2006 - mvidner@suse.cz
- Find zypp using pkg-config (enables prefix builds).
- 2.13.43
* Tue Mar 28 2006 - lslezak@suse.cz
- new binding Pkg::ResolvableSetSoftLock() (#159466)
- initialize zypp when it's needed, retry initialization when
  it fails, new binding Pkg::Connect() (#160319)
- call DoneProvide callback when resolvable download
  fails (#160966)
* Tue Mar 28 2006 - visnov@suse.cz
- fix compile
- catch media exception if source cannot be reattached
  to get source product information
- 2.13.42
* Mon Mar 27 2006 - lslezak@suse.cz
- new binding Pkg::ResolvableNeutral() (#159466)
- 2.13.41
* Mon Mar 27 2006 - lslezak@suse.cz
- 2.13.40
* Mon Mar 27 2006 - lslezak@suse.cz
- remove all transactions in PkgTaboo, prevent from installing
  unconfirmed packages (#160588)
* Sat Mar 25 2006 - jsrain@suse.de
- do not report repeated SourceStartManager as error
- 2.13.39
* Fri Mar 24 2006 - visnov@suse.cz
- mark only patches in ResolvablePreselectPatches (#160573)
- 2.13.38
* Thu Mar 23 2006 - lslezak@suse.cz
- return package licenses correctly (#160028)
- 2.13.37
* Wed Mar 22 2006 - visnov@suse.cz
- 2.13.36
* Wed Mar 22 2006 - lslezak@suse.cz
- new builtin Pkg::CallbackResolvableReport (#160015)
- adapted to new libzypp API
* Wed Mar 22 2006 - lslezak@suse.cz
- added `removed option in GetPackages builtin
  (required for #156638)
* Tue Mar 21 2006 - visnov@suse.cz
- fix build
- 2.13.35
* Tue Mar 21 2006 - visnov@suse.cz
- allow more choices how the media change callback behave (#159116)
- 2.13.34
* Mon Mar 20 2006 - lslezak@suse.cz
- new SourceProvideOptionalFile() binding (#159116)
- 2.13.33
* Mon Mar 20 2006 - visnov@suse.cz
- adapt for latest libzypp
- 2.13.32
* Sat Mar 18 2006 - kkaempf@suse.de
- fix Pkg::IsSelected (and others) to check the right
  item of the pool (#158602)
- 2.13.31
* Thu Mar 16 2006 - jsrain@suse.de
- let products provide their flags
* Thu Mar 16 2006 - jsrain@suse.de
- added Pkg::ResolvableDependencies
- 2.13.30
* Thu Mar 16 2006 - mvidner@suse.cz
- added Pkg::ResolvablePreselectPatches to select Needed items
- 2.13.29
* Wed Mar 15 2006 - kkaempf@suse.de
- add PkgEstablish() to calculate needed/unneeded patches.
* Wed Mar 15 2006 - visnov@suse.cz
- set alias when creating a source
- 2.13.28
* Tue Mar 14 2006 - mvidner@suse.cz
- Use APPL_HIGH level instead of USER for Pkg:: (#156875, thanks ma)
- 2.13.27
* Tue Mar 14 2006 - mvidner@suse.cz
- Provide Product::version via TargetProducts,
  fixing crypto update (#153576).
- Use product(name+edition)+current timestamp
  to set the source alias in SourceCreate and SourceScan (#154913).
- 2.13.26
* Tue Mar 14 2006 - visnov@suse.cz
- added TargetDisableSources to disable configured sources
  at the target system (#154850)
- if no products found by libzypp, try also the base URL
  in SourceScan and SourceCreate (#157442)
* Sat Mar 11 2006 - kkaempf@suse.de
- fix the build.
- 2.13.25
* Thu Mar 09 2006 - lslezak@suse.cz
- new pattern related builtins: GetPatterns and PatternData
  (similar to GetSelections and SelectionData)
- use zypp::SourceManager::SourceId instead of 'int' for source ID
* Wed Mar 08 2006 - lslezak@suse.cz
- create unique alias for a new installation source,
  use URL + src ID as alias (#154913)
* Tue Mar 07 2006 - jsrain@suse.de
- handle installation abort properly (#154936)
- 2.13.24
* Tue Mar 07 2006 - kkaempf@suse.de
- bail out early from SourceFinishAll() if there are no enabled
  sources (#155459)
- 2.13.23
* Tue Mar 07 2006 - lslezak@suse.cz
- implemented PkgSrcInstall
* Mon Mar 06 2006 - lslezak@suse.cz
- implemented PkgSolveCheckTargetOnly
- 2.13.22
* Fri Mar 03 2006 - jsrain@suse.de
- fixed Pkg::SourceMoveDownloadArea according to changes in libzypp
* Fri Mar 03 2006 - lslezak@suse.cz
- error handling: PkgLastError(), LastErrorDetails(), remember
  error messages
- TargetGetDU - use current system paritioning if TargetInitDU
  has not been called
* Fri Mar 03 2006 - visnov@suse.cz
- new builtin Pkg::Init()
- catch Url exceptions in source creation
- SourceRefreshNow()
* Fri Mar 03 2006 - jsrain@suse.de
- new builting Pkg::SourceMoveDownloadArea (#151862)
* Thu Mar 02 2006 - visnov@suse.cz
- initialize only resolvables from the enabled sources
- catch the restore source exception
- don't initialize all resolvables to get the products from source
- 2.13.21
* Thu Mar 02 2006 - visnov@suse.cz
- report user-abort from ProgressPackage callback (#150379)
* Thu Mar 02 2006 - kkaempf@suse.de
- assure that PkgInstall always gets the best architecture.
  (#154627)
- assure that PkgRemove removes installed package.
* Thu Mar 02 2006 - lslezak@suse.cz
- added missing disconnect()s (#154331)
* Wed Mar 01 2006 - jsrain@suse.de
- provide description and summary via generic interface (#153713)
- provide more information about products and patterns
- release all medias after commit (#152709)
- add builtin to release all medias (#154348)
- 2.13.20
* Tue Feb 28 2006 - lslezak@suse.cz
- call YCP callbacks only when progress value has changed more
  than 5%% since the last call (lowers CPU usage by Yast during
  installation)
- 2.13.19
* Mon Feb 27 2006 - lslezak@suse.cz
- 2.13.18
* Mon Feb 27 2006 - visnov@suse.cz
- implement missing download progress callback
* Fri Feb 24 2006 - lslezak@suse.cz
- fixed PkgProperties()
- new builtin PkgPropertiesAll()
* Fri Feb 24 2006 - lslezak@suse.cz
- catch SourceManager::findSource() exceptions (#153323)
* Fri Feb 24 2006 - lslezak@suse.cz
- IsManualSelection, PkgReset, PkgMarkLicenseConfirmed
- fixed PkgGetLicensesToConfirm, PkgGetLicenseToConfirm
- PkgCommit updated to the new commit() API (#153294)
- don't pack libpy2Pkg.la file
- 2.13.17
* Fri Feb 24 2006 - visnov@suse.cz
- properly report if source restore failed
* Wed Feb 22 2006 - jsrain@suse.de
- TargetLogfile
- 2.13.16
* Wed Feb 22 2006 - lslezak@suse.cz
- TargetInitDU
- TargetGetDU
- 2.13.15
* Wed Feb 22 2006 - kkaempf@suse.de
- DoProvide now returns the best (architecture/edition) match
  instead of the first.
- 2.13.14
* Wed Feb 22 2006 - visnov@suse.cz
- Don't generate doxygen documentation, this is not a C++ library
* Tue Feb 21 2006 - visnov@suse.cz
- start of PkgTargetDU (#151430)
- survive if no products found on a media (#152521)
- 2.13.13
* Mon Feb 20 2006 - lslezak@suse.cz
- fixed package location in PkgLocation and in PkgProperties
- new builtin PkgPath - returns package name with path relative
  to source root directory
- 2.13.12
* Sun Feb 19 2006 - kkaempf@suse.de
- adapt SourceManager::store() call
- 2.13.11
* Fri Feb 17 2006 - visnov@suse.cz
- 2.13.10
* Fri Feb 17 2006 - visnov@suse.cz
- adapt for new pool iterators
* Thu Feb 16 2006 - lslezak@suse.cz
- new builtins ResolvableInstall, ResolvableRemove,
  ResolvableProperties
- 2.13.9
* Thu Feb 16 2006 - visnov@suse.cz
- Don't report a package installation twice if it needs to
  use different rpm parameters
- Callback cleanup
* Wed Feb 15 2006 - visnov@suse.cz
- PkgMediaCount, PkgMediaSizes, PkgMediaNames
- Callback size fixes
- this makes the download progress behave nicely
- 2.13.8
* Tue Feb 14 2006 - visnov@suse.cz
- compile fixes
- SetLocale, GetLocale, SetAdditionalLocales, GetAdditionalLocales,
  updated SelectionContent, SelectionData
- 2.13.7
* Tue Feb 14 2006 - visnov@suse.cz
- Pkg::SourceScan, Pkg::SourceEditGet, Pkg::SourceGeneralData improvements
* Tue Feb 14 2006 - visnov@suse.cz
- use ZYpp linewriter to log into y2log (#149001)
- Pkg::SourceProductData enhanced to return product name and
  version (#150209)
- 2.13.6
* Mon Feb 13 2006 - visnov@suse.cz
- Pkg::SourceProductData basic support
- define LOGGROUP
- 2.13.5
* Mon Feb 13 2006 - visnov@suse.cz
- connect also for source data parser and avoid media callback
- 2.13.4
* Sun Feb 12 2006 - visnov@suse.cz
- adapt for new libzypp
- 2.13.3
* Fri Feb 10 2006 - lslezak@suse.cz
- enable storage in TargetInit (#149869)
- TargetInstall, TargetRemove
- TargetProducts
- version 2.13.2
* Thu Feb 09 2006 - kkaempf@suse.de
- honor kind when choosing resolvables
- 2.13.1.10
* Thu Feb 09 2006 - visnov@suse.cz
- redirect zypp.log to the location of YaST log
- set pool entries to transact
- 2.13.1.9
* Wed Feb 08 2006 - kkaempf@suse.de
- Qt UI adaptions
- 2.13.1.8
* Tue Feb 07 2006 - visnov@suse.cz
- All callback handlers implemented
- 2.13.1.7
* Tue Feb 07 2006 - visnov@suse.cz
- Store/restore source cache
- More information in install callback
- SourceStartManager, SourceStartCache, SourceGetCurrent
* Mon Feb 06 2006 - visnov@suse.cz
- Renamed files
- MediaChange callback fixes
- RPM install problem callback
- PkgQueryProvides
- Selection interface cleaned up
- 2.13.1.6
* Mon Feb 06 2006 - visnov@suse.cz
- Adapt for new libzypp
- 2.13.1.5
* Fri Feb 03 2006 - visnov@suse.cz
- Fix build for YaST modules using Pkg
- Adapt for new libzypp
- 2.13.1.4
* Thu Feb 02 2006 - lslezak@suse.cz
- DownloadProgressCallback
- MediaChangeCallback
- changed Y2PM names (variables, namespaces...) to ZYPP
- 2.13.1.3
* Thu Feb 02 2006 - lslezak@suse.cz
- removed yast2-packagemanager-devel from BuildRequires
- don't compile/link PkgModuleError.* files
- RebuildDbCallback
- 2.13.1.2
* Thu Feb 02 2006 - visnov@suse.cz
- first drop for ZYPP
- 2.13.1.1
* Fri Dec 02 2005 - ma@suse.de
- Remember values sent on CB_StartSourceRefresh, and repeat them
  in subsequent SourceRefresh callbacks. (#133811)
- 2.13.1
* Tue Oct 04 2005 - ma@suse.de
- Changed signature of ProgressProvide and ProgressDownload callbacks.
  Both are now expected to return YCPBoolean. Iff the callback returns
  YCPBoolean(FALSE), current download is aborted. (#115534)
- 2.13.0
* Fri Aug 19 2005 - ma@suse.de
- Provide installation source attribute 'autorefresh' in
  PKG::SourceGeneralData.
- 2.12.7
* Wed Aug 17 2005 - ma@suse.de
- Removed obsolete 'TargetUpdateInf'. That's old YaST(1)
  stuff.
- 2.12.6
* Thu Aug 04 2005 - ma@suse.de
- Added YCP {Start,Error,Done}SourceRefresh callbacks.
- 2.12.5
* Wed Jul 27 2005 - ma@suse.de
- Fixed conversion from YCPMap to InstSrcManager::SrcStateVector.
- 2.12.4
* Mon Jul 25 2005 - ma@suse.de
- Provide new installation source attribute 'autorefresh' in
  PKG::SourceEditGet/SourceEditSet.
- New builtin PKG::SourceRefreshNow.
- 2.12.3
* Wed Jul 20 2005 - ma@suse.de
- Adapt build requirements for libxml2
* Fri Jul 08 2005 - visnov@suse.cz
- Adapt build requirements for blocxx
- 2.12.2
* Fri Jun 10 2005 - ma@suse.de
- Adapt to changes in base classes we use from liby2.
- 2.12.1
* Tue Feb 15 2005 - ma@suse.de
- Extended statistics returned from Pkg::PkgUpdateAll. The builtin
  now returns map<symbol,integer>. (#37073)
- 2.11.6
* Tue Feb 08 2005 - nashif@suse.de
- Fixed neededforbuild: added sgml-skel
* Sat Feb 05 2005 - ma@suse.de
- Base selctions are mutual exclusive. If a new base selection
  is set to install, take care the old one gets deleted. (#46998)
- 2.11.4
* Mon Jan 24 2005 - ma@suse.de
- Code cleanup. Explicit casts removed.
- 2.11.3
* Fri Jan 21 2005 - nashif@suse.de
- Fixed packages needed for build
* Fri Jan 21 2005 - ma@suse.de
- Updated media change callback to allow to provide more
  information via callback.
- 2.11.2
* Fri Oct 29 2004 - mvidner@suse.cz
- Added pkgconfig support.
- 2.11.1
* Wed Oct 13 2004 - visnov@suse.de
- Initial version
